Organizations
POST
/organizations
Create a new organization for the current user.
Corps de la requête
name
string
obligatoire
Organization's display name.
slug
string
obligatoire
Organization's human-readable identifier.
countryCode
string
obligatoire
The country in which the organization operates.
Corps de la réponse
id
string
obligatoire
The organization's ID
name
string
obligatoire
Organization's display name.
slug
string
obligatoire
Human-readable identifier
avatarUrl
string
URL to the organization avatar.
status
string
obligatoire
Current status
Possible values: active, banned
statusReason
string
The reason for the organization's status (if any).
pendingMemberCount
integer
How many members are pending to join the organization
activeMemberCount
integer
obligatoire
How many members are active
owner
string
obligatoire
ID of the user that owns the organization
createdAt
string
obligatoire
When the organization was created
updatedAt
string
When the organization was last updated
managedBy
array of object
List of entities managing the organization
Afficher les attributs enfants
managedBy.Type
string
Type of the entity managing the organization
managedBy.ID
string
ID of the entity managing the organization
verified
boolean
Exemple de code
curl -X POST 'https://api.bird.com/organizations' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'GET
/organizations/{organizationId}
Get an organization by its ID.
Corps de la réponse
id
string
obligatoire
The organization's ID
name
string
obligatoire
Organization's display name.
slug
string
obligatoire
Human-readable identifier
avatarUrl
string
URL to the organization avatar.
status
string
obligatoire
Current status
Possible values: active, banned
statusReason
string
The reason for the organization's status (if any).
pendingMemberCount
integer
How many members are pending to join the organization
activeMemberCount
integer
obligatoire
How many members are active
owner
string
obligatoire
ID of the user that owns the organization
createdAt
string
obligatoire
When the organization was created
updatedAt
string
When the organization was last updated
managedBy
array of object
List of entities managing the organization
Afficher les attributs enfants
managedBy.Type
string
Type of the entity managing the organization
managedBy.ID
string
ID of the entity managing the organization
verified
boolean
Exemple de code
curl -X GET 'https://api.bird.com/organizations/{organizationId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'PATCH
/organizations/{organizationId}
Update an organization's properties.
Corps de la requête
name
string
Organization's display name.
avatarUrl
string
The url of the avatar displayed next to the org
status
string
Possible values: banned, active
statusReason
string
The reason for the organization's status
owner
string
The organization's owner's ID
Corps de la réponse
id
string
obligatoire
The organization's ID
name
string
obligatoire
Organization's display name.
slug
string
obligatoire
Human-readable identifier
avatarUrl
string
URL to the organization avatar.
status
string
obligatoire
Current status
Possible values: active, banned
statusReason
string
The reason for the organization's status (if any).
pendingMemberCount
integer
How many members are pending to join the organization
activeMemberCount
integer
obligatoire
How many members are active
owner
string
obligatoire
ID of the user that owns the organization
createdAt
string
obligatoire
When the organization was created
updatedAt
string
When the organization was last updated
managedBy
array of object
List of entities managing the organization
Afficher les attributs enfants
managedBy.Type
string
Type of the entity managing the organization
managedBy.ID
string
ID of the entity managing the organization
verified
boolean
Exemple de code
curl -X PATCH 'https://api.bird.com/organizations/{organizationId}' \
-H 'Authorization: AccessKey YOUR_ACCESS_KEY'